Export provisioned spec
curl --request GET \
--url https://app.apigene.ai/api/spec/{api_name}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/spec/{api_name}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/spec/{api_name}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.apigene.ai/api/spec/{api_name}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.apigene.ai/api/spec/{api_name}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.apigene.ai/api/spec/{api_name}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.apigene.ai/api/spec/{api_name}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"format": "apigene.spec.bundle",
"format_version": 1,
"spec": {},
"provisioning": {
"llm_summary": {},
"llm_use_cases_content": "<unknown>",
"llm_app_categories": "<unknown>",
"examples": "<array>",
"domain_url": "<string>",
"agentic_metadata": [
{}
],
"server_url": "<string>",
"operations_state": {},
"common_parameters": {}
}
}API Specs
Export provisioned spec
Download an installed application as a provisioned bundle. The file contains the OpenAPI document plus the summary, agentic metadata, and spec-config fields needed to install it without an LLM. Credentials are omitted. Returns 409 when the summary or agentic metadata is missing.
GET
/
api
/
spec
/
{api_name}
/
export
Export provisioned spec
curl --request GET \
--url https://app.apigene.ai/api/spec/{api_name}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/spec/{api_name}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/spec/{api_name}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.apigene.ai/api/spec/{api_name}/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.apigene.ai/api/spec/{api_name}/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.apigene.ai/api/spec/{api_name}/export")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.apigene.ai/api/spec/{api_name}/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"format": "apigene.spec.bundle",
"format_version": 1,
"spec": {},
"provisioning": {
"llm_summary": {},
"llm_use_cases_content": "<unknown>",
"llm_app_categories": "<unknown>",
"examples": "<array>",
"domain_url": "<string>",
"agentic_metadata": [
{}
],
"server_url": "<string>",
"operations_state": {},
"common_parameters": {}
}
}Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
